Bug 1576270 (CVE-2018-5169) - CVE-2018-5169 Mozilla: Dragging and dropping link text onto home button can set home page to include chrome pages
Summary: CVE-2018-5169 Mozilla: Dragging and dropping link text onto home button can s...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5169
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:15 UTC by Doran Moppert
Modified: 2021-02-17 00:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:10 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:15:19 UTC
If manipulated hyperlinked text with `chrome:` URL contained in it is dragged and dropped on the "home" icon, the home page can be reset to include a normally-unlinkable chrome page as one of the home page tabs. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5169

Comment 1 Doran Moppert 2018-05-09 07:15:24 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Abdulrahman Alqabandi


Note You need to log in before you can comment on or make changes to this bug.